Requirements for Deploying and Running a Cloudhouse Compatibility Package

Save to PDF

Applies to: Cloudhouse Application Compatibility Packages/Compatibility Containers

24/05/2021 Cliff Hobbs   ID: 266727

To be able to deploy and run a Cloudhouse Compatibility Package (formerly known as Cloudhouse Compatibility Container™), various requirements need to be met.

Supported Operating Systems

See Supported operating systems for deploying and running Cloudhouse Compatibility Packages for details of the Windows operating systems we support for deploying and running Containers.

Hardware Requirements

  • Memory: As per the application; a minimum of 2 GB.
  • Processor: As per the application.
  • Disk Space: Approximately 1.5x the application's requirements.

Software Requirements

  • Microsoft .NET: Version 4.0 Client Profile or later.

Usage Reporting for Licensing Requirements

Note

Although Cloudhouse Compatibility Containers are broadly compatible with anti-virus software, some versions of vendor software may flag the application as suspicious. During user acceptance testing (UAT), Cloudhouse recommends testing the Container with the same version of anti-virus software as used in your production environment, adding Cloudhouse to whitelist if it is flagged as a virus.

Tip

Remove any Runx.exe files (where “x” is a number), from the Container before deploying it. These files are only required if you need to create a Universal Windows Platform (UWP)/MSIX package of the Container. Anti-virus and malware scanners may flag these files as malware as they are unsigned and designed to run other executables.

Source:
Was this article helpful?

Table of Contents

    Can't find what you're looking for?

    Contact Support